pyvenv-3.4 возвратил ненулевое состояние выхода 1

pyvenv-3.4 возвратил ненулевое состояние выхода 1

09.06.2014 07:06:51 Просмотров 48 Источник

Я в Kubuntu 14.04, я хочу создать virtualenv с python3. 4. Я делал с python2. 7 раньше в другой папке. Но когда я пытаюсь:

pyvenv-3.4 venv

У меня есть:

Error: Command '['/home/fmr/projects/ave/venv/bin/python3.4', '-Im', 'ensurepip', '--upgrade', '--default-pip']' returned non-zero exit status 1

У вопроса есть решение - Посмотреть?

https://stackoverflow.com/questions/24123150/pyvenv-3-4-returned-non-zero-exit-status-1#comment47942742_24123150
Решение дано здесь: askubuntu.com/questions/488529/…
https://stackoverflow.com/questions/24123150/pyvenv-3-4-returned-non-zero-exit-status-1#comment90972587_24123150
У меня была эта проблема, и оказалось, что мне нужно было установить libffi-devel перед настройкой, созданием и установкой Python3. После этого мои проблемы с Пипом были решены.

Ответы - pyvenv-3.4 возвратил ненулевое состояние выхода 1 / pyvenv-3.4 returned non-zero exit status 1

Является ответом!
kahonmlg

09.06.2014 07:18:46

У меня есть решение, устанавливающее python-virtualenv

sudo apt-get install python-virtualenv

и использование

virtualenv --python=/usr/bin/python3.4 venv
https://stackoverflow.com/questions/24123150/pyvenv-3-4-returned-non-zero-exit-status-1/24123372#comment91254618_24123372
Почему вы должны предоставить полный путь?
https://stackoverflow.com/questions/24123150/pyvenv-3-4-returned-non-zero-exit-status-1/24123372#comment100929192_24123372
@ThePassenger: по крайней мере, в моем случае, вы этого не делаете.
Håken Lid

08.09.2014 06:13:10

Pyvenv поставляется в комплекте с более новой версией python 3 и должен заменить virtualenv, так что это не совсем то же самое.

Была некоторая проблема с python 3.4 в первом выпуске Ubuntu 14.04, которая вызвала эту ошибку.

Обновление дистрибутива решило эту проблему для меня. Я думаю, что это, вероятно, работает и с Kubuntu.

sudo do-release-upgrade -d # this takes a while, and involves a reboot as well. 
sudo apt-get install python3.4-venv
pyvenv-3.4 venv

Пожалуйста, прочитайте документацию для релиз-обновление перед запуском. Использование флага-d приведет к обновлению до последней версии devel, которая может включать в себя нестабильное программное обеспечение.

Вы не можете отменить do-release-upgrade

https://stackoverflow.com/questions/24123150/pyvenv-3-4-returned-non-zero-exit-status-1/25726305#comment43667020_25726305
Спасибо. Это сработало очень хорошо и должно быть общепринятым ответом.
https://stackoverflow.com/questions/24123150/pyvenv-3-4-returned-non-zero-exit-status-1/25726305#comment43687032_25726305
Имейте в виду, что обновление дистрибутива до версии devel также обновит другое программное обеспечение. Так что у этого решения могут быть побочные эффекты.
https://stackoverflow.com/questions/24123150/pyvenv-3-4-returned-non-zero-exit-status-1/25726305#comment43705133_25726305
Хорошо, что я об этом упомянул. Я уже запустил Ubuntu 14.10, но установка python3.4-venvисправила эту проблему в частности.
https://stackoverflow.com/questions/24123150/pyvenv-3-4-returned-non-zero-exit-status-1/25726305#comment68147202_25726305
Для меня sudo apt-get install python3.4-venvчасть также была достаточной.
https://stackoverflow.com/questions/24123150/pyvenv-3-4-returned-non-zero-exit-status-1/25726305#comment83762654_25726305
Обновление вашего дистрибутива-это большой перебор.
alexanderlukanin13

04.12.2014 07:06:38

Та же проблема в Linux Mint 17 (который в основном является Ubuntu 14.04). Установка python3.4-venvне сработала, поэтому я создал virtualenv без pip, а затем установил pip вручную.

  1. Создайте virtualenv и активируйте его

    python3 -m venv --without-pip foo
    source foo/bin/activate
    
  2. Скачать последние версии setuptoolsи pip:

    wget https://pypi.python.org/packages/source/s/setuptools/setuptools-7.0.tar.gz#md5=6245d6752e2ef803c365f560f7f2f940
    wget https://pypi.python.org/packages/source/p/pip/pip-1.5.6.tar.gz#md5=01026f87978932060cc86c1dc527903e
    
  3. Распакуйте и установите их

    tar xf setuptools-7.0.tar.gz
    tar xf pip-1.5.6.tar.gz
    cd setuptools-7.0
    python setup.py install
    cd ../pip-1.5.6
    python setup.py install
    
https://stackoverflow.com/questions/24123150/pyvenv-3-4-returned-non-zero-exit-status-1/27298566#comment44424948_27298566
Спасибо за это решение. Работать на меня. Я установил pip и setuptools вместе с такой командой: wget bootstrap.pypa.io/get-pip.py -O - / python
Matt R

05.02.2015 06:53:29

Следующее работало для меня на Ubuntu 13.10:

pyvenv-3.4 delme --without-pip
source delme/bin/activate
python -Im ensurepip --upgrade --default-pip
https://stackoverflow.com/questions/24123150/pyvenv-3-4-returned-non-zero-exit-status-1/28348333#comment51888490_28348333
Он говорит /tmp/delme/bin/python: No module named ensurepip
Neron.L

22.12.2016 06:35:54

Я столкнулся с этой проблемой.

Чтобы исследовать, я выполнил ту же команду, что и пывенв, а затем получил "locale.Ошибка: неподдерживаемая настройка локали".

Это, наконец, исправлено настройкой " LC_ALL=en_US.UTF-8".

NYCeyes

02.01.2017 08:09:50

Вот агностический подход к распределению (O/S).

Как pyvenv, так и сама python, которая позволяет обойти эту проблему; не прибегая к --without-pipили другим головным болям. Принимая во внимание setuptool, вот как это сделать, и довольно легко понять:

inline comments

Надеюсь, это поможет. \( ◠ ﹏ ◠ )/

https://stackoverflow.com/questions/24123150/pyvenv-3-4-returned-non-zero-exit-status-1/41430732#comment71146388_41430732
Не работает в Debian Wheezy с Python 3.3, установленным вручную: venv: error: unrecognized arguments: --without-pip
https://stackoverflow.com/questions/24123150/pyvenv-3-4-returned-non-zero-exit-status-1/41430732#comment105084315_41430732
Работал на меня в Windows 10 с Anaconda. Огромное спасибо.
whatintheworld

24.05.2017 08:49:20

Очень похоже на @prismalytics.io но для тех из вас, кто не любит запускать скрипты оболочки из интернета. Вы можете, конечно, использовать --no-index --find-links, чтобы указать на локальные копии. Достаточно любого последнего файла колеса pip, это просто указывает на текущую версию на PyPI.

python3 -m venv --without-pip your_venv
source your_venv/bin/activate
curl 'https://pypi.python.org/packages/b6/ac/7015eb97dc749283ffdec1c3a88ddb8ae03b8fad0f0e611408f196358da3/pip-9.0.1-py2.py3-none-any.whl' > pip.whl
python -m zipfile -e pip.whl $VIRTUAL_ENV/lib/python3*/site-packages
python -m pip install --force-reinstall --upgrade pip
Gregory

14.08.2017 01:27:51

Вы пропускаете venv lib для python 3.4, просто запустите:

$ apt-get install python3.4-dev python3.4-venv

А затем создать виртуальное окружение

python3.4 -m venv myVenv
https://stackoverflow.com/questions/24123150/pyvenv-3-4-returned-non-zero-exit-status-1/45672494#comment94688744_45672494
Е: не могу найти пакет по регулярному выражению "питон3"'.7-venv' при установке
https://stackoverflow.com/questions/24123150/pyvenv-3-4-returned-non-zero-exit-status-1/45672494#comment96843363_45672494
Спасибо! Я думаю, что это должен быть приемлемый ответ - это реальное решение проблемы.
https://stackoverflow.com/questions/24123150/pyvenv-3-4-returned-non-zero-exit-status-1/45672494#comment96843474_45672494
@indrajitnarvekar, питон3.7 еще не в репозиториях по умолчанию. Вы можете использовать deadsnakes PPA. Смотрите этот вопрос подробнее: askubuntu.com/questions/865554/. ... Python 3.7 также доступен в этом PPA, поэтому ответ применим и к нему.
https://stackoverflow.com/questions/24123150/pyvenv-3-4-returned-non-zero-exit-status-1/45672494#comment103873271_45672494
Это была моя проблема с 3.5, спасибо!
https://stackoverflow.com/questions/24123150/pyvenv-3-4-returned-non-zero-exit-status-1/45672494#comment104761114_45672494
Это самое лучшее решение! Не устанавливать другой продукт (virtualenv против venv) или устанавливать в обход APT.
https://stackoverflow.com/questions/24123150/pyvenv-3-4-returned-non-zero-exit-status-1/45672494#comment104928292_45672494
ЭТО ПРАВИЛЬНЫЙ ОТВЕТ ЛЮДЕЙ. Я понял, что пришел сюда во второй раз, увидев свой апвот в оранжевом :). Один раз за 3,6, а теперь за 3,8. Чёрт побери :)
Adarsh V C

28.09.2017 08:28:07

Это сработало для меня в python 3.6 и OSX

$ python -m venv --without-pip my_dir
$ source my_dir/bin/activate
$ curl https://bootstrap.pypa.io/get-pip.py | python
$ deactivate
$ source my_dir/bin/activate
(my_dir) user$
freezed

25.07.2018 04:30:50

На LMDE2 с :

  • Python 3.4.2
  • Debian_version: 8.11

Это был первый раз, когда я использую python на этой машине, и я столкнулся с этой проблемой:

freezed@machine ~/git/repo % python3 -m venv .venv                            
Error: Command '['/home/freezed/git/repo/.venv/bin/python3', '-Im', 'ensurepip', '--upgrade', '--default-pip']' returned non-zero exit status 1
zsh: exit 1     python3 -m venv .venv

Я решил эту проблему с помощью :

sudo apt-get install python3.4-venv

niraj pandey

11.12.2018 06:45:50

Я также столкнулся с той же проблемой.

[niraj@abc ~]$/python/v3.7.0/bin/python3 -m venv avd
Error: Command '['/home/niraj/avd/bin/python3', '-Im', 'ensurepip', '--upgrade', '--default-pip']' returned non-zero exit status 1.

После добавления libffi3. 3 на мой LD_LIBRARY_PATH он работает

setenv LD_LIBRARY_PATH / libffi / v3. 3/lib64

dan9126

10.06.2019 06:28:12

Решение 5 vy Adarsh V C также работало на CentoS 7 для меня.

Vizag

15.01.2020 03:52:59

У меня были ниже Проблемы с установкой psutil в Ubuntu 16.04 :

Строительный круг для psutil (setup.py)... ошибка

Это мои шаги, которые сработали.:

проверьте свою версию Python. (Моя версия Python-3.7)

затем сделайте это ниже addtitional step:

sudo apt-get install python3.7-dev

затем

pip install psutil 

source ./my_venv_dir/bin/activate

pip install --upgrade pip
Помочь в развитии проекта:
Закрыть X